import axiosInstance from '../utils/axios/axiosInstance'
import { useRequest } from './useRequest'
import type { TablePaginationSetting, DialogSetting } from '@/types/table'
import { type FormInstance } from 'element-plus'

export function useTable(tableData: Array<any>, paginationSetting: TablePaginationSetting) {
  const { AllApi, analysisResCode } = useRequest()

  const getTableData = (url: string, option: any, isPagination: boolean = false) => {
    return new Promise(async (reslove, reject) => {
      try {
        console.log(url, option)
        await axiosInstance.post(url, option).then((data) => {
          analysisResCode(data)
            .then((info) => {
              let data = info.data
              if (isPagination) {
                tableData[paginationSetting.currentPage] = []
              } else {
                tableData.splice(0, tableData.length, ...data)
              }
              console.log(tableData)
              paginationSetting.total = info.count ? info.count : info.data.length
              reslove(true)
            })
            .catch((err) => {
              console.log(err)
              throw new Error('请求失败')
            })
        })
      } catch (err) {
        console.log(err)
        throw new Error('网络请求错误')
      }
    })
  }

  // 对话框关闭
  const dialogClose = (formEl: FormInstance | undefined, dialogParam: DialogSetting) => {
    if (!formEl) return

    dialogParam.dialogVisible = false
    formEl.resetFields()
  }

  return {
    getTableData,
    dialogClose
  }
}
