export interface GameTableData {
  gameName: string //游戏名称
  gid: string //游戏ID
  ttAppid: string //游戏 tt 平台id
  ttSecret: string //游戏 tt 平台密钥
  wxAppid: string //游戏 微信平台 id
  wxSecret: string // 游戏 微信 平台密钥
}

// 表格分页的数据类型
export interface TablePaginationSetting {
  limit: number // 每页展示个数
  currentPage: number // 当前页码
  total: number // 数据总数
  pagesizeList: Array<number> // 页数大小列表
  loading: boolean // 加载图标
  hasLodingData: number // 已经加载的数据
}

// 表格信息过滤时，需要用到的过滤类型
export enum FilterType {
  INPUT = 'input',
  SELECT = 'select',
  DATE = 'date'
}

// 筛选信息的格式
export interface QueryInfo {
  name: string
  label: string
  type: FilterType
  placeholder: string
  otherOption?: any
}

// 表格字段信息格式
export interface TableFieldInfo {
  name: string
  cnName: string
  isShow: boolean
}

// props的参数格式
export interface PropsParams {
  isOpenQuery: boolean
  queryInfo?: Array<QueryInfo>
  paginationConfig: TablePaginationSetting
  tableFieldsInfo: Array<TableFieldInfo>
  requestConfig: {
    url: string
    other: any
  }
}

// 选择下拉框的信息格式
export interface SelectInfo {
  name: string
  cnName: string
}

// 对话框设置
export interface DialogSetting {
  dialogVisible: boolean
  title: string
  formLabelWidth: string
  type: number // 0 是新增 1是修改
}
